// Show helpful information about a command.
//
// (Hopefully.)

import { commandPath } from "@/commands"

export default async function (cmd: string) {
  if (!cmd) return "usage: help <command>"

  const path = commandPath(cmd)
  if (!path) throw `${cmd} not found`

  const code = (await Bun.file(path).text()).split("\n")
  let docs = []

  for (const line of code) {
    if (line.startsWith("///")) {
      docs.push("Runs in the browser.\n")
      continue
    } else if (line.startsWith("//")) {
      docs.push(line.slice(2).trim())
    } else if (line.trim()) {
      break
    }
  }

  return docs.join("\n")
}